| Home | Libraries | People | FAQ | More

## Struct template promote<ToFrom, ToFrom, std_valarray_tag, std_valarray_tag>

boost::numeric::functional::promote<ToFrom, ToFrom, std_valarray_tag, std_valarray_tag>

## Synopsis

    // In header: <boost/accumulators/numeric/functional/valarray.hpp>

    template<typename ToFrom>
    struct promote<ToFrom, ToFrom, std_valarray_tag, std_valarray_tag> : public std::unary_function< ToFrom, ToFrom > {

      // public member functions
      ToFrom & operator()(ToFrom &) const;
    };

## Description

### `promote` public member functions

1.     ToFrom & operator()(ToFrom & tofrom) const;